/*
 * 16:56:26 09/09/00
 * JMyProgressBar base on  JextProgressBar.java 
 * Copyright (C) 2002 Gros Pierre-Emmanuel
 * Copyright (C) 2000 Romain Guy (Version de base)
 * gros@limsi.fr
 * romain.guy@jext.org
 * www.jext.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package splash;
import javax.swing.JProgressBar;
//import javax.swing.UIManager;

public class JMyProgressBar extends JProgressBar
{
  private static final String uiClassID = "JMyProgressBarUI";
 /* static
  {
    UIManager.getDefaults().put("JMyProgressBarUI",
                                "JMyProgressBarUI");
  }*/

  public JMyProgressBar()
  {
    super();
  }

  public JMyProgressBar(int orient)
  {
    super(orient);
  }

  public JMyProgressBar(int min, int max)
  {
    super(min, max);
   }

  public JMyProgressBar(int orient, int min, int max)
  {
    super(orient, min, max);
  }

  public String getUIClassID()
  {
    return uiClassID;
  }

  public void updateUI()
  {
  	 setUI((JMyProgressBarUI) JMyProgressBarUI.createUI(this));
   // this.setUI((JMyProgressBarUI) UIManager.getUI(this));
  }
}

// End of JMyProgressBar.java
